"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateJavaStackFiles = void 0;
var url = __importStar(require("url"));
var fs = __importStar(require("fs"));
var path_1 = require("path");
function generateJavaStackFiles(params) {
    var themeName = params.themeName, version = params.version, homepage = params.homepage, keycloakThemeBuildingDirPath = params.keycloakThemeBuildingDirPath, doBundleEmailTemplate = params.doBundleEmailTemplate;
    {
        var pomFileCode = (function generatePomFileCode() {
            var groupId = (function () {
                var _a, _b, _c;
                var fallbackGroupId = "there.was.no.homepage.field.in.the.package.json.".concat(themeName);
                return ((!homepage
                    ? fallbackGroupId
                    : (_c = (_b = (_a = url
                        .parse(homepage)
                        .host) === null || _a === void 0 ? void 0 : _a.replace(/:[0-9]+$/, "")) === null || _b === void 0 ? void 0 : _b.split(".").reverse().join(".")) !== null && _c !== void 0 ? _c : fallbackGroupId) + ".keycloak");
            })();
            var artefactId = "".concat(themeName, "-keycloak-theme");
            var pomFileCode = [
                "<?xml version=\"1.0\"?>",
                "<project xmlns=\"http://maven.apache.org/POM/4.0.0\"",
                "\txmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"",
                "\txsi:schemaLocation=\"http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd\">",
                "\t<modelVersion>4.0.0</modelVersion>",
                "\t<groupId>".concat(groupId, "</groupId>"),
                "\t<artifactId>".concat(artefactId, "</artifactId>"),
                "\t<version>".concat(version, "</version>"),
                "\t<name>".concat(artefactId, "</name>"),
                "\t<description />",
                "</project>",
            ].join("\n");
            return { pomFileCode: pomFileCode };
        })().pomFileCode;
        fs.writeFileSync((0, path_1.join)(keycloakThemeBuildingDirPath, "pom.xml"), Buffer.from(pomFileCode, "utf8"));
    }
    {
        var themeManifestFilePath = (0, path_1.join)(keycloakThemeBuildingDirPath, "src", "main", "resources", "META-INF", "keycloak-themes.json");
        try {
            fs.mkdirSync((0, path_1.dirname)(themeManifestFilePath));
        }
        catch (_a) { }
        fs.writeFileSync(themeManifestFilePath, Buffer.from(JSON.stringify({
            "themes": [
                {
                    "name": themeName,
                    "types": __spreadArray(["login"], __read((doBundleEmailTemplate ? ["email"] : [])), false),
                },
            ],
        }, null, 2), "utf8"));
    }
    return {
        "jarFilePath": (0, path_1.join)(keycloakThemeBuildingDirPath, "target", "".concat(themeName, "-").concat(version, ".jar")),
    };
}
exports.generateJavaStackFiles = generateJavaStackFiles;
//# sourceMappingURL=generateJavaStackFiles.js.map