"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStartKeycloakTestingContainer = void 0;
var fs = __importStar(require("fs"));
var path_1 = require("path");
generateStartKeycloakTestingContainer.basename = "start_keycloak_testing_container.sh";
var containerName = "keycloak-testing-container";
/** Files for being able to run a hot reload keycloak container */
function generateStartKeycloakTestingContainer(params) {
    var themeName = params.themeName, keycloakThemeBuildingDirPath = params.keycloakThemeBuildingDirPath, keycloakVersion = params.keycloakVersion;
    fs.writeFileSync((0, path_1.join)(keycloakThemeBuildingDirPath, generateStartKeycloakTestingContainer.basename), Buffer.from([
        "#!/bin/bash",
        "",
        "docker rm ".concat(containerName, " || true"),
        "",
        "cd ".concat(keycloakThemeBuildingDirPath),
        "",
        "docker run \\",
        "   -p 8080:8080 \\",
        "   --name ".concat(containerName, " \\"),
        "   -e KEYCLOAK_ADMIN=admin \\",
        "   -e KEYCLOAK_ADMIN_PASSWORD=admin \\",
        "   -e JAVA_OPTS=-Dkeycloak.profile=preview \\",
        "   -v ".concat((0, path_1.join)(keycloakThemeBuildingDirPath, "src", "main", "resources", "theme", themeName), ":/opt/keycloak/themes/").concat(themeName, ":rw \\"),
        "   -it quay.io/keycloak/keycloak:".concat(keycloakVersion, " \\"),
        "   start-dev",
        "",
    ].join("\n"), "utf8"), { "mode": 493 });
}
exports.generateStartKeycloakTestingContainer = generateStartKeycloakTestingContainer;
//# sourceMappingURL=generateStartKeycloakTestingContainer.js.map