"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptKeycloakVersion = void 0;
var getLatestsSemVersionedTag_1 = require("./tools/octokit-addons/getLatestsSemVersionedTag");
var rest_1 = require("@octokit/rest");
var cli_select_1 = __importDefault(require("cli-select"));
function promptKeycloakVersion() {
    return __awaiter(this, void 0, void 0, function () {
        var getLatestsSemVersionedTag, tags, _a, keycloakVersion;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    getLatestsSemVersionedTag = (function () {
                        var octokit = (function () {
                            var githubToken = process.env.GITHUB_TOKEN;
                            var octokit = new rest_1.Octokit(githubToken === undefined ? undefined : { "auth": githubToken });
                            return { octokit: octokit };
                        })().octokit;
                        var getLatestsSemVersionedTag = (0, getLatestsSemVersionedTag_1.getLatestsSemVersionedTagFactory)({ octokit: octokit }).getLatestsSemVersionedTag;
                        return { getLatestsSemVersionedTag: getLatestsSemVersionedTag };
                    })().getLatestsSemVersionedTag;
                    console.log("Initialize the directory with email template from which keycloak version?");
                    _a = [[]];
                    return [4 /*yield*/, getLatestsSemVersionedTag({
                            "count": 10,
                            "doIgnoreBeta": true,
                            "owner": "keycloak",
                            "repo": "keycloak",
                        }).then(function (arr) { return arr.map(function (_a) {
                            var tag = _a.tag;
                            return tag;
                        }); })];
                case 1:
                    tags = __spreadArray.apply(void 0, [__spreadArray.apply(void 0, _a.concat([__read.apply(void 0, [(_b.sent())]), false])), [
                            "11.0.3",
                        ], false]);
                    if (process.env["GITHUB_ACTIONS"] === "true") {
                        return [2 /*return*/, { "keycloakVersion": tags[0] }];
                    }
                    return [4 /*yield*/, (0, cli_select_1.default)({
                            "values": tags,
                        }).catch(function () {
                            console.log("Aborting");
                            process.exit(-1);
                        })];
                case 2:
                    keycloakVersion = (_b.sent()).value;
                    console.log(keycloakVersion);
                    return [2 /*return*/, { keycloakVersion: keycloakVersion }];
            }
        });
    });
}
exports.promptKeycloakVersion = promptKeycloakVersion;
//# sourceMappingURL=promptKeycloakVersion.js.map