"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginUpdatePassword = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var Template_1 = require("./Template");
var i18n_1 = require("../i18n");
var tss_react_1 = require("tss-react");
exports.LoginUpdatePassword = (0, react_1.memo)(function (_a) {
    var kcContext = _a.kcContext, props = __rest(_a, ["kcContext"]);
    var cx = (0, tss_react_1.useCssAndCx)().cx;
    var _b = (0, i18n_1.getMsg)(kcContext), msg = _b.msg, msgStr = _b.msgStr;
    var url = kcContext.url, messagesPerField = kcContext.messagesPerField, isAppInitiatedAction = kcContext.isAppInitiatedAction, username = kcContext.username;
    return ((0, jsx_runtime_1.jsx)(Template_1.Template, __assign({}, __assign({ kcContext: kcContext }, props), { doFetchDefaultThemeResources: true, headerNode: msg("updatePasswordTitle"), formNode: (0, jsx_runtime_1.jsxs)("form", __assign({ id: "kc-passwd-update-form", className: cx(props.kcFormClass), action: url.loginAction, method: "post" }, { children: [(0, jsx_runtime_1.jsx)("input", { type: "text", id: "username", name: "username", value: username, readOnly: true, autoComplete: "username", style: { display: "none" } }), (0, jsx_runtime_1.jsx)("input", { type: "password", id: "password", name: "password", autoComplete: "current-password", style: { display: "none" } }), (0, jsx_runtime_1.jsxs)("div", __assign({ className: cx(props.kcFormGroupClass, messagesPerField.printIfExists("password", props.kcFormGroupErrorClass)) }, { children: [(0, jsx_runtime_1.jsx)("div", __assign({ className: cx(props.kcLabelWrapperClass) }, { children: (0, jsx_runtime_1.jsx)("label", __assign({ htmlFor: "password-new", className: cx(props.kcLabelClass) }, { children: msg("passwordNew") })) })), (0, jsx_runtime_1.jsx)("div", __assign({ className: cx(props.kcInputWrapperClass) }, { children: (0, jsx_runtime_1.jsx)("input", { type: "password", id: "password-new", name: "password-new", autoFocus: true, autoComplete: "new-password", className: cx(props.kcInputClass) }) }))] })), (0, jsx_runtime_1.jsxs)("div", __assign({ className: cx(props.kcFormGroupClass, messagesPerField.printIfExists("password-confirm", props.kcFormGroupErrorClass)) }, { children: [(0, jsx_runtime_1.jsx)("div", __assign({ className: cx(props.kcLabelWrapperClass) }, { children: (0, jsx_runtime_1.jsx)("label", __assign({ htmlFor: "password-confirm", className: cx(props.kcLabelClass) }, { children: msg("passwordConfirm") })) })), (0, jsx_runtime_1.jsx)("div", __assign({ className: cx(props.kcInputWrapperClass) }, { children: (0, jsx_runtime_1.jsx)("input", { type: "password", id: "password-confirm", name: "password-confirm", autoComplete: "new-password", className: cx(props.kcInputClass) }) }))] })), (0, jsx_runtime_1.jsxs)("div", __assign({ className: cx(props.kcFormGroupClass) }, { children: [(0, jsx_runtime_1.jsx)("div", __assign({ id: "kc-form-options", className: cx(props.kcFormOptionsClass) }, { children: (0, jsx_runtime_1.jsx)("div", __assign({ className: cx(props.kcFormOptionsWrapperClass) }, { children: isAppInitiatedAction && ((0, jsx_runtime_1.jsx)("div", __assign({ className: "checkbox" }, { children: (0, jsx_runtime_1.jsxs)("label", { children: [(0, jsx_runtime_1.jsx)("input", { type: "checkbox", id: "logout-sessions", name: "logout-sessions", value: "on", checked: true }), msgStr("logoutOtherSessions")] }) }))) })) })), (0, jsx_runtime_1.jsx)("div", __assign({ id: "kc-form-buttons", className: cx(props.kcFormButtonsClass) }, { children: isAppInitiatedAction ? ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("input", { className: cx(props.kcButtonClass, props.kcButtonPrimaryClass, props.kcButtonLargeClass), type: "submit", defaultValue: msgStr("doSubmit") }), (0, jsx_runtime_1.jsx)("button", __assign({ className: cx(props.kcButtonClass, props.kcButtonDefaultClass, props.kcButtonLargeClass), type: "submit", name: "cancel-aia", value: "true" }, { children: msg("doCancel") }))] })) : ((0, jsx_runtime_1.jsx)("input", { className: cx(props.kcButtonClass, props.kcButtonPrimaryClass, props.kcButtonBlockClass, props.kcButtonLargeClass), type: "submit", defaultValue: msgStr("doSubmit") })) }))] }))] })) })));
});
//# sourceMappingURL=LoginUpdatePassword.js.map